body {
    padding: 0;
    margin: 0;
    background: #e8e8e8;
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

* {
    box-sizing: border-box;
}
.rc-login {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
    background: url("./login.jpg");
    background-size: cover;
    background-position: center;
}

.rc-login img {
    width: 300px;
    max-width: 100%;
}

.rc-login-box {
    margin-top: 40px;
    background: #FFFFFF;
    padding: 50px 50px;
    display: flex;
    flex-direction: column;
    font-family: 'Montserrat', sans-serif;
    align-items: center;
    justify-content: center;
    border-radius: 30px 30px 0px;
}

.rc-login-box h1 {
    font-size: 40px;
    margin-bottom: 30px;
}

.rc-login-box span {
    width: 100%;
    font-size: 20px;
}

.rc-login-box span.span {
    margin-top: 20px;
}


.rc-login-box input {
    border: 1px solid black;
    width: 420px;
    height: 60px;
    font-size: 24px;
    border-radius: 0;
    margin-top: 3px;
}
.rc-login-box button {
    margin-top: 20px;
    width: 100%;
    height: 60px;
    background: #2d6df6;
    color: white;
    font-weight: bold;
    font-size: 32px;
    border: none;
}

.rc-login-box input:focus {
    outline: none;
}

.rc-container {
    flex: 1;
    max-width: 1200px;
    padding: 70px 28px;
    font-family: Inter, sans-serif;
    background: #fff;
    margin-top: 60px;
    border-radius: 30px 30px 0 0;
    box-shadow: 0 4px 40px rgba(0, 0, 0, 0.3);
}

.rc-container * {
    box-sizing: border-box;
}

.rc-container-logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 125px;
}

.rc-container-logo img {
    width: 20%;
}

.rc-container input{
    border: 1px solid #2d6df6;
    text-align: center;
    padding: 3px 0;
    border-radius: 3px;
}

.rc-container select {
    border: 1px solid #757575;
    padding: 3px 0;
}

.rc-container h1 {
    font-weight: normal;
    font-family: 'Montserrat', sans-serif;
    margin-bottom: 24px;
}

.rc-block {
    background: #F5F5F5;
    border-top: 2px solid #2d6df6;
    padding: 24px 24px 48px 24px;
    margin-bottom: 60px;
    border-radius: 0px 0px 30px 30px;
}

.rc-block-title {
    width: 100%;
    height: fit-content;
    display: flex;
    gap: 10px;
    align-items: center;
    margin-bottom: 20px;
}

.p-total {
    font-weight: bold;
}

.piece {
    color: #585858;
}

.rc-block-title-second p {
    font-size: 24px;
    font-family: 'Montserrat', sans-serif;
}

.rc-block-title p {
        font-family: 'Montserrat', sans-serif;
        font-size: 36px; 
        margin: 0; 
        display: flex; 
        align-items: center; 
        gap: 10px; 
    }

.blue_circle {
        display: inline-flex; /* Centriranje sadržaja */
        justify-content: center; /* Horizontalno centriranje */
        align-items: center; /* Vertikalno centriranje */
        width: 60px; /* Veličina kruga */
        height: 60px; /* Veličina kruga */
        background-color: #007BFF; /* Plava pozadina */
        color: #fff; /* Bela boja teksta */
        border-radius: 50%; /* Pravljenje kruga */
        font-size: 36px; /* Font veličina u px (36pt) */
        font-family: 'Montserrat', sans-serif; /* Promena fonta */
    }

.rc-afu {
    display: grid;
    grid-template-columns: 130px 170px 130px 170px;
    white-space: nowrap;
    max-width: 70%;
    margin-bottom: 20px;
    column-gap: 20px;
}

.rc-afu-bold {
    font-weight: bold;
}

.rc-afu > * {
    margin: 0;
    width: 100%;
    height: 100%;
    font-family: Inter, sans-serif;
}

.rc-afu p {
    font-weight: bold;
    white-space: normal;
    text-align: right;
}

.rc-afu p:not(:first-child) {
    text-align: center;
}

.rc-ret-first {
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 24px;
}

.rc-fre-first {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    gap: 24px;
}

.rc-fre-first:nth-child(3) {
    margin-bottom: 20px;
    display: flex;

}
.rc-fre-first:nth-child(3) > div {
    display: flex;
    gap: 20px;
}

.rc-fre-second {
    display: grid;
    grid-template-columns: 20% 1fr;
    gap: 24px;
}
.rc-fre-second:nth-child(4) {
    margin-bottom: 10px;
}

input[name="dimWeight"] {
    width: 15% !important;
}

input[name="externalTotal"], [name="internalTotal"], [name="totalRate"], [name="finalAverage"], [name="fulfillmenttotalnew"] {
        background-color: #007BFF; 
        color: #FFFFFF;
        font-family: 'Montserrat', sans-serif;
        font-weight: bold;
        text-align: center;
    }
    
.totaltotal, .totalperpiece {
        background-color: #007BFF; 
        color: #FFFFFF;
        font-family: 'Montserrat', sans-serif;
        font-weight: bold;
        text-align: center;
    }

.rc-fre-second div {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 6px;
}

.rc-fre-second div input {
    width: 6%;
}

.rc-fre-second p {
    margin: 0;
}
.rc-fre-second p,
.rc-fre-first p {
    font-weight: bold;
}
.rc-fre-mid p {
    font-weight: bold;
}

.rc-fre-mid {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 0;
    margin-top: 32px;
}

.rc-fre-mid input {
    width: 90%;
}

.rc-fre-mid div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    white-space: nowrap;
}

.rc-fre-mid div p {
    margin: 0 0 10px;
}

.rc-fre-mid > p {
    display: flex;
    align-items: flex-end;
    margin: 0;
}

.rc-fre-low {
    display: grid;
    grid-template-columns: repeat(9, 1fr);
    gap: 0;
    margin-top: 32px;
}

.rc-fre-mid span {
    grid-column: 5 / 9;
    font-size: 16px;
    margin-top: auto;
}
.rc-fre-mid label {
    display: flex;
    align-items: center;
    white-space: nowrap;
    margin-top: auto;
}
.rc-fre-mid label p {
    margin: 0;
}
.rc-ful {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 24px;
}
.rc-ful input {
    width: 100% !important;
}
.rc-ful p {
    font-weight: bold;
}

.rc-tot p {
    font-weight: bold;
}

.rc-tot-disc {
    font-size: 16px !important;
}

.rc-tot {
    display: flex;
    align-items: center;
    gap: 6px;
}
.rc-tot-col {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.rc-tot-col > div {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
}
.rc-tot-col > div > *:first-child {
    width: 150px;
}
.rc-tot-col b span {
    font-size: 16px;
}
.rc-tot-col input {
    width: 120px !important;
}
.rc-tot input {
    width: 70px;
    margin-right: 6px;
}

.rc-tot:not(:has(input)):last-child {
    margin-top: 24px;
}

.rc-tot div p {
    margin: 0;
    margin-bottom: 6px;
}

.rc-tot:has(div) {
    margin-top: 20px;
}

.rc-tot span {
    font-size: 12px;
}

.loader {
    width: 24px;
    height: 24px;
    border: 5px solid #FFFFFF;
    border-bottom-color: #4C64AD;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.hidden {
    display: none !important;
}

.bottom-container {
    width: 100%; /* Puna širina stranice */
    background-color: #060a45; /* Svetlosiva pozadina */
    padding: 10px 0; /* Vertikalni razmak */
    bottom: 0;
    left: 0;
}

.content-wrapper {
    width: 1200px; /* Širina glavnog sadržaja */
    max-width: 100%; /* Responzivno ograničenje */
    margin: 0 auto; /* Centriranje unutar roditelja */
    display: flex; /* Aktivacija Flexbox-a */
    justify-content: space-between; /* Razmak između elemenata */
    align-items: center; /* Vertikalno poravnanje */
}

/* Stilovi za tekst */
.content-wrapper p {
    margin: 0;
    font-size: 0.9rem; /* Veličina fonta */
    color: #fff; /* Boja teksta */
    font-family: 'Montserrat', sans-serif;
}

/* Stilovi za sliku */
.content-wrapper .bottom-image {
    height: 30px; /* Visina slike (prilagodite prema potrebi) */
    width: auto; /* Automatska širina proporcionalna visini */
}